<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" encoding="UTF-8"/>


<xsl:template match="/">
<xsl:comment>factuurnr;factuurdatum;opdrachtnr;omschrijving;bedrag;btwperc;btwbedrag;document</xsl:comment>
<xsl:for-each select="xml/fin_factuur">
<xsl:for-each select="fin_factuurregel">
<xsl:value-of select="../fin_factuur_nr"/>;<xsl:value-of select="../fin_factuur_datum"/>;<xsl:value-of select="../bes_mld_cnt_opdracht_id"/>;<xsl:call-template name="puntkomma"><xsl:with-param name="p_string" select="fin_factuurregel_omschrijving"/></xsl:call-template>;<xsl:value-of select="fin_factuurregel_totaal"/>;<xsl:value-of select="fin_factuurregel_btw_perc"/>;<xsl:value-of select="fin_factuurregel_btw_bedrag"/>;<xsl:value-of select="../fin_factuur_bestand"/>;&#10;</xsl:for-each></xsl:for-each>
</xsl:template>

<xsl:template name="puntkomma">
   <xsl:param name="p_string"/>
	<xsl:value-of select="translate($p_string,';',':')"/>
</xsl:template>

</xsl:stylesheet>
